/* -------------------------------------------- GLOBAL -------------------------------------------- */

* {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    font-family: "Orbitron", sans-serif;
    background-color: #121212;
}

section {
    height: 100vh;
}

/* -------------------------------------------- HEADER -------------------------------------------- */

.header {
    position: fixed;
    width: 100%;
    padding: 0 20px;
    background-color: #000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0 0 24px #9500FF;
}

.header ul {
    list-style: none;
}

.header a {
    text-decoration: none;
    color: #FFF;
}

.header i {
    font-size: 21px;
}

.header a:hover, .header i:hover {
    color: #9500FF;
    text-shadow: 3px 3px 3px;
    transition: 0.2s;
}

.header i:hover {
    text-shadow: none;
}

.header .logo {
    padding: 0;
}

.header .nav {
    display: flex;
    justify-content: space-between;
    gap: 70px;
    margin-right: 300px;
}

@media screen and (max-width: 768px) {

    .header {
        font-size: 10px;
    }

    .header .logo i {
        width: 5%;
        font-size: 16px;
    }

    .header nav {
        justify-content: space-around;
    }

}

/* -------------------------------------------- INDEX --------------------------------------------- */

.index .accueil {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 100px;
    color: #FFF;
    background-image: url("../IMAGES/music-blur.png");
    background-size: 100%;
}

.index .text {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.index .text h1 {
    margin: 0;
    font-size: 28px;
	-webkit-text-stroke: 1px #9500FF;
	text-shadow: 0px 0px 36px #9500FF;
    color: #000;
}

.index .text h2 {
    margin: 0;
    color: #FFF;
    font-weight: 300;
}

.index .boutons {
    display: flex;
    gap: 70px;
}

.index .boutons a {
    padding: 15px 40px;
    color: #9500FF;
    background-color: #000;
    text-decoration: none;
    border-radius: 10px;
    box-shadow: 0 0 24px #9500FF;
}

.index .boutons a:hover {
    transform: scale(1.1);
    transition: 0.2s;
}

@media screen and (max-width: 768px) {

    .index {
        font-size: 12px;
    }

    .index .text h1 {
        width: 100%;
        font-size: 21px;
    }

    .index .text h2 {
        font-size: 16px;
    }

}

/* -------------------------------------------- A PROPOS ------------------------------------------- */

.a-propos .top {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.a-propos img {
    margin: 9%;
    width: 300px;
    height: 300px;
    border-radius: 100%;
    object-fit: cover;
}

.a-propos .presentation {
    margin-right: 8%;
    width: 55%;
    display: flex;
    flex-direction: column;
}

.a-propos .presentation h1 {
    font-size: 32px;
	-webkit-text-stroke: 1px #9500FF;
	text-shadow: 0px 0px 24px #9500FF;
}

.a-propos .presentation p {
    font-family: "Alata";
    color: #FFF;
}

.a-propos .bouton {
    margin-top: 25px;
    padding: 15px;
    width: 45%;
    text-align: center;
    text-decoration: none;
    color: #FFF;
    background-color: #000;
    border: 2px solid #9500FF;
    border-radius: 10px;
}

.a-propos .bouton:hover {
    box-shadow: 0 0 24px #9500FF;
}

.a-propos .bottom {
    color: #FFF;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 75px;
}

.a-propos .bottom .competences {
    width: 55%;
}

.a-propos .bottom .competences h2 {
    margin: 0;
    padding-bottom: 10%;
    color: #9500FF;
    text-align: center;
    font-weight: 300;
}

.a-propos .bottom .skills {
    display: flex;
    align-items: end;
}

.a-propos .bottom .skills h3 {
    font-size: 13px;
    text-align: center;
    font-weight: 300;
}

.a-propos .bottom .skills ul {
    padding: 0 10px;
    list-style: none;
}

.a-propos .bottom .skills li {
    margin-bottom: 8px;
    padding: 10px 25px;
    font-size: 13px;
    background-color: #000;
    border: 1px solid #fff;
    text-align: center;
    border-radius: 5px;
}

.a-propos .bottom .skills li:hover {
    scale: 1.1;
    transition: 0.3s;
}

.a-propos .bottom .skills .database h3 {
    color: #2272FF
}
.a-propos .bottom .skills .database li {
    box-shadow: 0 0 10px #2272FF, inset 0 0 10px #2272FF;
}

.a-propos .bottom .skills .developpement h3 {
    color: #6399F8
}
.a-propos .bottom .skills .developpement li {
    box-shadow: 0 0 10px #6399F8, inset 0 0 10px #6399F8;
}

.a-propos .bottom .skills .langues h3 {
    color: #88ADF3
}
.a-propos .bottom .skills .langues li {
    box-shadow: 0 0 10px #88ADF3, inset 0 0 10px #88ADF3;
}

.a-propos .bottom .skills .logiciels h3 {
    color: #8E76E7
}
.a-propos .bottom .skills .logiciels li {
    box-shadow: 0 0 10px #8E76E7, inset 0 0 10px #8E76E7;
}

.a-propos .bottom .skills .softskills h3 {
    color: #9500FF
}
.a-propos .bottom .skills .softskills li {
    box-shadow: 0 0 10px #9500FF, inset 0 0 10px #9500FF;
}

.a-propos .bottom .CV img {
    width: 100%;
    animation: spin linear 10s infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(360deg);
    }
}

.a-propos .bottom .CV img:hover {
    transition: 0.3s;
    scale: 1.1;
    box-shadow: 0 0 50px #9500FF;
}

/* -------------------------------------------- PROJETS -------------------------------------------- */

.projets {
    color: #FFF;
    display: flex;
    flex-direction: column;
}

.projets .infos {
    display: flex;
    flex: 2;
    justify-content: center;
}

.projets img {
    margin: 10% 7%;
    width: 25%;
    aspect-ratio: 1/1;
    border-radius: 15px;
}

.projets .right {
    display: flex;
    flex: 1;
    flex-direction: column;
    justify-content: center;
}

.projets h1 {
    font-size: 32px;
	-webkit-text-stroke: 1px #9500FF;
	text-shadow: 0px 0px 24px #9500FF;
    color: #000;
}

.projets .right .alata {
    font-family: "Alata";
}

.projets .categorie {
    display: flex;
    justify-content: space-between;
    color: #9500FF;
}

.projets .filtre select {
    margin-top: 20px;
    margin-right: 20px;
    padding: 10px;
    color: #FFF;
    background-color: #000;
    border: 1px solid #FFF;
    border-radius: 10px;
}

.projets .titres {
    margin-left: 130px;
}

.projets .credit {
    margin-left: 40px;
}

.projets .tag {
    margin-left: 30px;
}

.projets .types {
    margin-right: 20px;
}

.projets .type-p {
    margin-left: 90px;
}

.projets .date {
    margin-right: 65px;
}

.projets .date-p {
    margin-right: 25px;
}

.projets a {
    color: #FFF;
    text-decoration: none;
}

.projets .musique {
    padding: 10px 25px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: 1px solid #000;
}

.projets .musique:hover {
    padding: 10px 0;
    animation: 0.3s;
    border: #9500FF;
    box-shadow: 0 0 50px #9500FF;
    transition: 0.3s;
}

.projets .musique .cover {
    width: 25%;
    margin-right: 60px;
    display: flex;
    align-items: center;
    gap: 20px;
}

.projets .musique img {
    margin: 0;
    width: 25%;
    aspect-ratio: 1/1;
    border-radius: 15px;
}

/* -------------------------------------------- PROJETS giu - rename en img-p dans html -------------------------------------------- */

.projets .musique .img-p {
    width: 25%;
    aspect-ratio: 1/1;
    border-radius: 15px;
}

.projets .infos a {
    width: 25%;
    margin: 100px;
}

.projets .infos .img-pro {
    width: 100%;
}

/* -------------------------------------------- PROJETS giu - garder seulement img-p après -------------------------------------------- */

.projets .musique .cover-pro {
    width: 30%;
    margin-right: 60px;
    display: flex;
    align-items: center;
    gap: 30px;
}

.projets .musique .artiste {
    width: 20%;
}

.projets .musique .tags {
    margin-left: 30px;
    width: 45%;
    display: flex;
    justify-content: start;
    gap: 10px;
}

.projets .musique .tags p {
    padding: 5px;
    color: #9500FF;
    background-color: #000;
    border: 1px solid #9500FF;
    border-radius: 7px;
}

.projets .musique .type {
    width: 20%;
}

.projets .musique .type-pro {
    width: 30%;
}

.projets .musique .date_creation {
    width: 15%;
}

@media screen and (max-width: 768px) {
    .projets {
        font-size: 12px;
    }
    .projets .infos {
        margin-left: 40px;
        margin-bottom: 10%;
        flex-direction: column;
        align-items: center;
    }
    .projets .infos img {
        margin-top: 30%;
        width: 45%;
    }
    .projets .infos .filtre {
        flex-wrap: wrap;
    }
    .projets .categorie p {
        display: none;
    }
    .projets .categorie {
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
    }
    .projets .musique .tags {
        flex-wrap: wrap;
    }
    .projets .musique {
        display: flex;
        flex-wrap: wrap; 
        flex-direction: row; 
        justify-content: space-between;
        align-items: center;
        gap: 5px;
        font-size: 8px;
    }
    .projets .musique .cover, 
    .projets .musique .artiste {
        flex: 0 0 calc(50% - 15px); 
        width: auto;
        margin-right: 0;
    }
    .projets .musique .tags {
        flex: 0 0 100%; 
        order: 2;
        margin-left: 0;
        justify-content: flex-start;
    }
    .projets .musique .type,
    .projets .musique .type-pro,
    .projets .musique .date_creation {
        flex: 1; 
        width: auto;
        margin: 0;
        text-align: right;
    }
}

/* -------------------------------------------- PROJET -------------------------------------------- */

.projet-aca, .projet-pro {
    margin: 50px;
    color: #FFF;
    background-color: #000;
    border: 1px solid #9500FF;
    border-radius: 10px;
    box-shadow: 0 0 50px #9500FF;
}

.projet-aca .retour, .projet-pro .retour {
    margin: 15px;
    position: absolute;
    padding: 10px 20px;
    background-color: #000;
    border: 1px solid #9500FF;
    border-radius: 50px;
    text-decoration: none;
    font-size: 40px;
}

.projet-aca img, .projet-pro img {
    width: 100%;
    border-radius: 10px 10px 0 0;
}

.projet-aca h1, .projet-pro h1 {
    margin-top: 50px;
    text-align: center;
    font-size: 32px;
	-webkit-text-stroke: 1px #9500FF;
	text-shadow: 0px 0px 24px #9500FF;
}

.projet-aca .bottom, .projet-pro .bottom {
    margin: 50px;
    margin-left: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    font-family: "Alata";
    gap: 60px;
}

.projet-pro .bottom {
    margin: 40px 60px;
}

.projet-pro .bottom p {
    margin: 0;
    font-size: 14px;
}

.projet-aca .bottom .etiquette, .projet-pro .bottom .etiquette {
    width: 30%;
    height: 90%;
    padding: 20px;
    padding-left: 50px;
    border: 1px solid #9500FF;
}

.projet-pro .bottom .etiquette {
    width: 55%;
    padding: 15px;
    margin: 20px;
}

.projet-aca .bottom .redaction {
    width: 60%;
}

.projet-pro .bottom .redaction {
    width: 45%;
}

.projet-pro .redaction p {
    font-size: 14px;
}

.projet-pro .details {
    margin: 0;
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 10px;
}

.projet-pro .tag-e {
    display: flex;
    justify-content: center;
    align-items: start;
    gap: 10px;
}

.projet-pro .tags, .tags-e {
    width: 125px;
    text-align: center;
    padding: 5px;
    color: #9500FF;
    background-color: #000;
    border: 1px solid #9500FF;
    border-radius: 7px;
}

/* -------------------------------------------- CONTACT -------------------------------------------- */

.contact {
    height: 100vh;
    display: flex;
    flex-direction: column;
}

.contact .title {
    margin: 8%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.contact h1 {
    margin: 0;
    text-align: center;
    font-size: 38px;
	-webkit-text-stroke: 1px #9500FF;
	text-shadow: 0px 0px 24px #9500FF;
}

.contact h2 {
    margin: 0;
    font-size: 26px;
    color: #FFF;
    font-weight: 500;
}

.contact .call {
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact .form {
    margin: auto;
    margin-left: 200px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.contact .list {
    display: flex;
    gap: 50px;
}

.contact .list p {
    font-family: "alata";
    color: #FFF;
}

.contact input {
    width: 400px;
    color: #B7B7B7;
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #FFF;
    font-family: "alata";
}

.contact button {
    margin-top: 10px;
    font-family: "orbitron";
    font-weight: 500;
    padding: 7px 20px;
    color: #FFF;
    background-color: #9500FF;
    border: 0;
    border-radius: 5px;
    box-shadow: 0 0 14px #9500FF;
}

.contact img {
    margin: auto;
    width: 27%;
    animation: levi linear 4s infinite;
}

@keyframes levi {
    0% {
        transform: translateY(-10px);
    }
    50% {
        transform: translateY(5px);
    }
    100% {
        transform: translateY(-10px);
    }
}


/* -------------------------------------------- FOOTER -------------------------------------------- */

.footer {
    position: relative;
    bottom: 0;
    width: 100%;
    padding: 0 20px;
    background-color: #000;
    color: #FFF;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0 0 24px #9500FF;
}

.footer a {
    text-decoration: none;
    color: #FFF;
}

.footer .contacts {
    margin-right: 15px;
    font-size: 25px;
    display: flex;
    justify-content: space-between;
    gap: 18px;
}

.footer button {
    border: 0;
    margin: 10px;
    padding: 5px 6px;
    border-radius: 50%;
}

@media screen and (max-width: 768px) {

    .footer {
        font-size: 8px;
    }

    .footer .contacts {
        margin: 0;
        font-size: 15px;
        gap: 10px;
    }

}

/* ------------------------------------------- RESPONSIVE ------------------------------------------- */

@media screen and (max-width: 768px) {
    
    /* Global & Sections */
    section {
        height: auto; 
        padding: 80px 20px 40px 20px;
    }

    /* Header & Nav */
    .header {
        padding: 10px;
    }
    .header .nav {
        gap: 20px;
        margin-right: 0;
    }

    /* Index / Accueil */
    .index .accueil {
        gap: 50px;
        background-size: cover;
        text-align: center;
    }
    .index .text h1 {
        font-size: 22px;
    }
    .index .boutons {
        flex-direction: column;
        gap: 20px;
    }

    /* A Propos */
    .a-propos {
        font-size: 12px;
    }
    .a-propos .top {
        flex-direction: column;
        text-align: center;
    }
    .a-propos img {
        margin: 20px auto;
        width: 200px;
        height: 200px;
    }
    .a-propos .presentation {
        margin-right: 0;
        width: 100%;
        align-items: center;
    }
    .a-propos .presentation h1 {
        font-size: 24px;
    }
    .a-propos .bouton {
        width: 80%;
    }
    .a-propos .bottom {
        flex-direction: column;
        gap: 40px;
    }
    .a-propos .bottom .competences {
        width: 100%;
    }
    .a-propos .bottom .skills {
        flex-wrap: wrap;
        justify-content: center;
        gap: 10px;
    }
    .a-propos .bottom .skills h3 {
        font-size: 9px;
    }
    .a-propos .bottom .skills li {
        padding: 5px 10px;
        font-size: 10px;
    }
    .a-propos .bottom .skills ul {
        padding: 0;
    }
    .a-propos .bottom .CV img {
        width: 100%;
    }

    /* Page Projet Unique */
    .projet-aca, .projet-pro {
        margin: 15px;
    }
    .projet-aca .retour, .projet-pro .retour {
        margin: 10px;
        padding: 5px 10px;
        font-size: 20px;
    }
    .projet-aca .bottom, .projet-pro .bottom {
        flex-direction: column;
        margin: 20px;
        gap: 30px;
    }
    .projet-aca .bottom .etiquette, 
    .projet-pro .bottom .etiquette,
    .projet-aca .bottom .redaction,
    .projet-pro .bottom .redaction {
        width: 100%;
        padding-left: 20px;
    }

    /* Contact */
    .contact .title {
        margin-top: 25%;
    }
    .contact .call {
        flex-direction: column-reverse;
    }
    .contact .form {
        margin-left: 0;
        width: 100%;
        gap: 0;
        font-size: 14px;
    }
    .contact .form button {
        margin-top: 40px;
    }
    .contact input {
        width: 100%;
    }
    .contact img {
        width: 40%;
    }
    .contact h1 {
        font-size: 28px;
    }
    
}